using PARR.Core.Repositories.Interfaces;
using PARR.DAL.Context;
using PARR.Domain.Entities;

namespace PARR.DAL.Repositories
{
    internal class RobotHistoryLevelRepository : IRobotHistoryLevelRepository
    {
        private readonly DataContext dataContext;

        public RobotHistoryLevelRepository(DataContext dataContext)
        {
            this.dataContext = dataContext;
        }

        public IQueryable<RobotHistoryLevel> Get()
        {
            return dataContext.RobotHistoryLevels;
        }
    }
}
